<div style="padding: 20px">
    <h3>Example Using Directives (Structural and Attributes)</h3>

    <hr />

    <!-- Event Binding -->
    <button mat-raised-button class="username-input" color="primary" (click)="logButton()">
        Log Click
    </button>

    <!-- Ng-IF -->
    <p *ngIf="clicksLog.length==0">Secret password = tuna</p>

    <!-- NG for + style + class -->
    <h5 *ngFor="let item of clicksLog; let i=index" [ngStyle]="{backgroundColor: i>4 ? 'blue' : ''}"
        [ngClass]="{'white-font' : i>4 }">
        This is click number {{item}} </h5>
</div>